Opened 10 years ago

Closed 10 years ago

#26941 closed defect (fixed)

qtoctave build fails

Reported by: ponca707@… Owned by: anddam (Andrea D'Amore)
Priority: Normal Milestone:
Component: ports Version: 1.9.1
Keywords: Cc:
Port: qtoctave-mac

Description

From the log it appears that qtoctave requires QT version 4.6 and does not work with current 4.7

Attachments (1)

CMakeLists.txt.diff (628 bytes) - added by josephsacco 10 years ago.
patch for CMakeLists.txt: tests version of QT > 4.5

Download all attachments as: .zip

Change History (5)

comment:1 Changed 10 years ago by jmroot (Joshua Root)

Owner: changed from macports-tickets@… to and.damore@…
Port: qtoctave-mac added

Please remember to fill in the Port field and cc the maintainer. Attach the log so we can see exactly what is happening.

comment:2 Changed 10 years ago by anddam (Andrea D'Amore)

Status: newassigned

Changed 10 years ago by josephsacco

Attachment: CMakeLists.txt.diff added

patch for CMakeLists.txt: tests version of QT > 4.5

comment:3 Changed 10 years ago by josephsacco

The readme.txt file states that the required version of QT is >= 4.6.0. The attached patch will fix the build problem.

-Joseph

comment:4 Changed 10 years ago by anddam (Andrea D'Amore)

Resolution: fixed
Status: assignedclosed

Committed in r72674 .

Note: See TracTickets for help on using tickets.